Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in wireshark
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in wireshark
ID: SUSE-SU-2018:2889-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Basesystem 15, SUSE Linux Enterprise Module for Desktop Applications 15
Datum: Do, 27. September 2018, 23:16
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16058
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16056
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16057
Applikationen: Wireshark

Originalnachricht

   SUSE Security Update: Security update for wireshark
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:2889-1
Rating: moderate
References: #1106514
Cross-References: CVE-2018-16056 CVE-2018-16057 CVE-2018-16058

Affected Products:
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Module for Basesystem 15
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for wireshark to version 2.4.9 fixes the following issues:

Security issues fixed (bsc#1106514):

- CVE-2018-16058: Bluetooth AVDTP dissector crash (wnpa-sec-2018-44)
- CVE-2018-16056: Bluetooth Attribute Protocol dissector crash
(wnpa-sec-2018-45)
- CVE-2018-16057: Radiotap dissector crash (wnpa-sec-2018-46)

Further bug fixes and updated protocol support as listed in:
https://www.wireshark.org/docs/relnotes/wireshark-2.4.9.html


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Desktop Applications 15:

zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2018-2052=1

- SUSE Linux Enterprise Module for Basesystem 15:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2052=1



Package List:

- SUSE Linux Enterprise Module for Desktop Applications 15 (aarch64 ppc64le
s390x x86_64):

wireshark-debuginfo-2.4.9-3.9.1
wireshark-debugsource-2.4.9-3.9.1
wireshark-devel-2.4.9-3.9.1
wireshark-ui-qt-2.4.9-3.9.1
wireshark-ui-qt-debuginfo-2.4.9-3.9.1

- SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x
x86_64):

libwireshark9-2.4.9-3.9.1
libwireshark9-debuginfo-2.4.9-3.9.1
libwiretap7-2.4.9-3.9.1
libwiretap7-debuginfo-2.4.9-3.9.1
libwscodecs1-2.4.9-3.9.1
libwscodecs1-debuginfo-2.4.9-3.9.1
libwsutil8-2.4.9-3.9.1
libwsutil8-debuginfo-2.4.9-3.9.1
wireshark-2.4.9-3.9.1
wireshark-debuginfo-2.4.9-3.9.1
wireshark-debugsource-2.4.9-3.9.1


References:

https://www.suse.com/security/cve/CVE-2018-16056.html
https://www.suse.com/security/cve/CVE-2018-16057.html
https://www.suse.com/security/cve/CVE-2018-16058.html
https://bugzilla.suse.com/1106514

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung